Message Header
Overview
MessageHeader
is a Component that showcases the User or Group details in the toolbar. Furthermore, it also presents a typing indicator and a back navigation button for ease of use.

The MessageHeader
is comprised of the following components:
Components | Description |
---|---|
ListItem Component | This component’s view consists of avatar, status indicator , title, and subtitle. The fields are then mapped with the SDK’s user, group class. |
Back Button | BackButton that allows users to navigate back from the current activity or screen to the previous one |
Usage
Integration
- app.module.ts
- app.component.ts
- app.component.html
import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-angular";
import { AppComponent } from "./app.component";
@NgModule({
imports: [BrowserModule, CometChatMessageHeader],
declarations: [AppComponent],
providers: [],
bootstrap: [AppComponent],
schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class AppModule {}
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
></cometchat-message-header>
</div>
Actions
Actions dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.
1. OnBack
OnBack
is triggered when you click on the back button of the Message Header component. You can override this action using the following code snippet.
Example
In this example, we are employing the onBack
action.
- app.component.ts
- app.component.html
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
public handleOnBack = () => {
console.log("Your custom on back action");
}
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[onBack]="handleOnBack"
></cometchat-message-header>
</div>
2. OnError
This action doesn't change the behavior of the component but rather listens for any errors that occur in the Message Header component.
Example
In this example, we are employing the onError
action.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
public handleOnError = (error: CometChat.CometChatException) => {
console.log("your custom on error action", error);
};
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[onError]="handleOnError"
></cometchat-message-header>
</div>
Filters
Filters allow you to customize the data displayed in a list within a Component
. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders
of Chat SDK.
The MessageHeader
component does not have any exposed filters.
Events
Events are emitted by a Component
. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.
The MessageHeader
component does not produce any events.
Customization
To fit your app's design requirements, you can customize the appearance of the Message Header component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.
Style
Using Style you can customize the look and feel of the component in your app, These parameters typically control elements such as the color, size, shape, and fonts used within the component.
1. MessageHeader Style
To customize the appearance, you can assign a MessageHeaderStyle
object to the MessageHeader
component.
Example
In this example, we are employing the MessageHeaderStyle
.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import { MessageHeaderStyle } from '@cometchat/uikit-shared';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
messageHeaderStyle = new MessageHeaderStyle({
background:"#f2f3ff",
border:"2px solid #a117eb",
borderRadius:"20px",
subtitleTextColor:"#2d55a6"
});
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[messageHeaderStyle]="messageHeaderStyle"
></cometchat-message-header>
</div>
</div>
The properties exposed by MessageHeaderStyle
are as follows:
Property | Description | Code |
---|---|---|
border | Used to set border | border?: string, |
borderRadius | Used to set border radius | borderRadius?: string; |
background | Used to set background colour | background?: string; |
height | Used to set height | height?: string; |
width | Used to set width | width?: string; |
backButtonIconTint | Used to set back button icon tint | backButtonIconTint?: string; |
typingIndicatorTextFont | Used to set typing indicator textStyle | typingIndicatorTextFont?: string; |
typingIndicatorTextColor | Used to set typing indicator text color | typingIndicatorTextColor?: string; |
subtitleTextFont | Used to set subtitle text font style | subtitleTextFont?: string; |
subtitleTextColor | Used to set subtitle text color | subtitleTextColor?: string; |
onlineStatusColor | Used to set online status colour | onlineStatusColor?: string; |
privateGroupIconBackground | Used to set private groups icon backgound | privateGroupIconBackground?: string |
passwordGroupIconBackground | Used to set protected groups icon backgound | passwordGroupIconBackground?: string |
2. Avatar Style
If you want to apply customized styles to the Avatar
component within the MessageHeader
Component, you can use the following code snippet. For more information you can refer Avatar Styles.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit, AvatarStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
avatarStyle = new AvatarStyle({
backgroundColor:"#cdc2ff",
border:"2px solid #6745ff",
borderRadius:"10px",
outerViewBorderColor:"#ca45ff",
outerViewBorderRadius:"5px",
nameTextColor:"#4554ff"
});
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[avatarStyle]="avatarStyle"
></cometchat-message-header>
</div>
</div>
3. ListItem Style
If you want to apply customized styles to the List Item
component within the MessageHeader
Component, you can use the following code snippet. For more information, you can refer ListItem Styles.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
listItemStyle: ListItemStyle = new ListItemStyle({
background: "transparent",
padding:"20px",
border:"1px solid #e9b8f5",
titleColor:"#8830f2",
borderRadius:"20px"
});
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[listItemStyle]="listItemStyle"
></cometchat-message-header>
</div>
</div>
4. StatusIndicator Style
If you want to apply customized styles to the Status Indicator
component within the MessageHeader
Component, you can use the following code snippet. For more information you can refer StatusIndicator Styles.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
statusIndicatorStyle: any = ({
height: '20px',
width: '20px',
backgroundColor: 'red'
});
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[statusIndicatorStyle]="statusIndicatorStyle"
></cometchat-message-header>
</div>
</div>
Functionality
These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.
Here is a code snippet demonstrating how you can customize the functionality of the Message Header component.
- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
hideBackButton = true;
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[hideBackButton]="hideBackButton"
></cometchat-message-header>
</div>
</div>
Following is a list of customizations along with their corresponding code snippets:
Advanced
For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.
ListItemView
The MessageHeader
component consists of a listItemView
. You can customize the ListItem according to your requirements by using the listItemView
property.
Example

- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit, ListItemStyle, AvatarStyle } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
listItemStyle: ListItemStyle = new ListItemStyle({
background: "transparent",
padding:"5px",
border:"1px solid #e9b8f5",
titleColor:"#8830f2",
borderRadius:"20px",
width:"100% !important"
});
avatarStyle = new AvatarStyle({
backgroundColor:"#cdc2ff",
border:"2px solid #6745ff",
borderRadius:"10px",
outerViewBorderColor:"#ca45ff",
outerViewBorderRadius:"5px",
nameTextColor:"#4554ff"
});
hideSeparator = true;
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[listItemView]="listItemViewTemplate"
></cometchat-message-header>
</div>
</div>
<ng-template #listItemViewTemplate>
<cometchat-list-item
[ngStyle]="{width:'100%'}"
[avatarURL]="userObject.getAvatar()"
[title]="userObject.getName()"
[hideSeparator]="hideSeparator"
[avatarStyle]="avatarStyle"
[listItemStyle]="listItemStyle"
></cometchat-list-item>
</ng-template>
SubtitleView
By using the subtitleView
property, you can modify the SubtitleView to meet your specific needs.
Example

- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[subtitleView]="subtitleView"
></cometchat-message-header>
</div>
</div>
<ng-template #subtitleView>
<div style="color: #db35de; font-size: 15px;">{{userObject.getStatus()}}</div>
</ng-template>
BackButtonIconURL
You can customize the Back Icon according to your specific requirements by using the backButtonIconURL
property.
Example

- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
BackButtonIconURL = 'your custom back icon url';
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[backButtonIconURL]="backButtonIconURL"
></cometchat-message-header>
</div>
</div>
Menu
You can customize the Menu options to meet your specific needs by using the menu
property.
Example

- app.component.ts
- app.component.html
import { CometChat } from '@cometchat/chat-sdk-javascript';
import { Component, OnInit } from '@angular/core';
import { CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
import "@cometchat/uikit-elements";
@Component({
selector: 'app-root',
templateUrl: './app.component.html',
styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
ngOnInit(): void {
CometChat.getUser("uid").then((user:CometChat.User)=>{
this.userObject=user;
});
}
public userObject!: CometChat.User;
BackButtonIconURL = 'your custom back icon url';
constructor(private themeService:CometChatThemeService) {
themeService.theme.palette.setMode("light")
themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
}
handleReload(): void {
window.location.reload();
};
getButtonStyle() {
return {
height: '20px',
width: '20px',
border: 'none',
borderRadius: '0',
background: 'transparent'
};
};
getButtonIconStyle() {
return {
color: '#7E57C2'
};
};
onLogin(UID?: any) {
CometChatUIKit.login({ uid: UID }).then(
(user) => {
setTimeout(() => {
window.location.reload();
}, 1000);
},
(error) => {
console.log("Login failed with exception:", { error });
}
);
}
}
<div class="fullwidth">
<div style="height: 100px;width: 100%;">
<cometchat-message-header
*ngIf="userObject"
[user]="userObject"
[menu]="buttonTemplate"
></cometchat-message-header>
</div>
</div>
<ng-template #buttonTemplate>
<div style="margin-right: 20px;">
<button [ngStyle]="getButtonStyle()" (click)="handleReload()">
<img src="icon" [ngStyle]="getButtonIconStyle()" alt="Reload Icon" />
</button>
</div>
</ng-template>

Skip to main content

Overview

MessageHeader is a Component that showcases the User or Group details in the toolbar. Furthermore, it also presents a typing indicator and a back navigation button for ease of use.
The MessageHeader is comprised of the following components:
ComponentDescription
CometChatListItemThis component’s view consists of avatar, status indicator , title, and subtitle. The fields are then mapped with the SDK’s user, group class.
Back ButtonBackButton that allows users to navigate back from the current activity or screen to the previous one.

Usage

Integration

import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

export function MessageHeaderDemo() {
  const [chatUser, setChatUser] = React.useState<CometChat.User>();
  React.useEffect(() => {
    CometChat.getUser("uid").then((user) => {
      setChatUser(user);
    });
  }, []);

  return chatUser ? (
    <div>{chatUser && <CometChatMessageHeader user={chatUser} />}</div>
  ) : null;
}

Actions

Actions dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

1. OnBack

OnBack is triggered when you click on the back button of the Message Header component. You can override this action using the following code snippet. Example In this example, we are employing the onBack action.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

export function MessageHeaderDemo() {
  const [chatUser, setChatUser] = React.useState<CometChat.User>();
  React.useEffect(() => {
    CometChat.getUser("uid").then((user) => {
      setChatUser(user);
    });
  }, []);

  function handleOnBack() {
    console.log("your custom on back action");
  }

  return chatUser ? (
    <div>
      {chatUser && (
        <CometChatMessageHeader user={chatUser} onBack={handleOnBack} />
      )}
    </div>
  ) : null;
}

2. OnError

This action doesn’t change the behavior of the component but rather listens for any errors that occur in the Message Header component. Example In this example, we are employing the onError action.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

export function MessageHeaderDemo() {
  const [chatUser, setChatUser] = React.useState<CometChat.User>();
  React.useEffect(() => {
    CometChat.getUser("uid").then((user) => {
      setChatUser(user);
    });
  }, []);

  function handleError(error: CometChat.CometChatException) {
    throw new Error("your custom error action");
  }
  return chatUser ? (
    <div>
      {chatUser && (
        <CometChatMessageHeader user={chatUser} onError={handleError} />
      )}
    </div>
  ) : null;
}

3. onSearchOptionClicked
The onSearchOptionClicked event is triggered when the user clicks the search option. It does not have a default behavior. However, you can override its behavior using the following code snippet.
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

const handleSearchClick = () => {
  console.log("Search option clicked");
};

<CometChatMessageHeader onSearchOptionClicked={handleSearchClick} />;

4. OnItemClick

OnItemClick is triggered when you click on a ListItem of the CometChatMessageHeader component. The OnItemClick action doesn’t have a predefined behavior. You can override this action using the following code snippet.
import { MessageHeaderDemo } from "@cometchat/chat-uikit-react";

const getOnItemClick = () => {
  console.log("List item clicked");
};

<MessageHeaderDemo onItemClick={getOnItemClick} />;

Filters

Filters allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK. The MessageHeader component does not have any exposed filters.

Events

Events are emitted by a Component. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed. The MessageHeader component does not produce any events.

Customization

To fit your app’s design requirements, you can customize the appearance of the Message Header component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

Style

To customize the appearance, you can customise css of CometChatMessageHeader Example
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

// Assuming groupObj is defined elsewhere in your code
<CometChatMessageHeader group={groupObj} />;

Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements. Here is a code snippet demonstrating how you can customize the functionality of the Message Header component.
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

<CometChatMessageHeader user={chatUser} showBackButton={true} />;
Following is a list of customizations along with their corresponding code snippets:
PropertyDescriptionCode
Show Back ButtonShows the back button.showBackButton={true}
Hide Video Call ButtonHides the video call button.hideVideoCallButton={true}
Hide Voice Call ButtonHides the voice call button.hideVoiceCallButton={true}
Show Conversation Summary ButtonShows the conversation summary button.showConversationSummaryButton={true}
Hide User StatusHides the user’s online/offline status indicator.hideUserStatus={true}
Show Search OptionShows the search option.showSearchOption={true}
UserA CometChat.User object representing the user whose information (e.g., status) is displayed.user={chatUser}
GroupA CometChat.Group object representing the group whose details (e.g., member count) are displayed.group={chatGroup}
Summary Generation Message CountNumber of messages for which the summary should be shown.summaryGenerationMessageCount={1000}
Disable Auto Summary GenerationDisables the auto generation of conversation summary.disableAutoSummaryGeneration={true}

Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

ItemView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import {
  CometChatMessageHeader,
  CometChatListItem,
} from "@cometchat/chat-uikit-react";

// Custom list item view definition
const CustomItemView = (
  <>
    <CometChatListItem
      avatarName={chatUser?.getName()}
      avatarURL={chatUser?.getAvatar()}
      title={chatUser?.getName()}
      subtitleView={chatUser?.getStatus()}
    />
  </>
);

<CometChatMessageHeader
  user={chatUser}
  itemView={CustomItemView}
  showBackButton={true}
/>;

TitleView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

// Custom title view component
function CustomTitleView() {
  return (
    <div className="message-header__title-view">
      <span className="message-header__title-view-name">
        {userObj.getName() + " • "}
      </span>
      <span className="message-header__title-view-status">
        {userObj.getStatusMessage()}
      </span>
    </div>
  );
}

<CometChatMessageHeader user={userObj} titleView={CustomTitleView()} />;

SubtitleView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import { CometChatMessageHeader } from "@cometchat/chat-uikit-react";

// Custom subtitle view component
function CustomSubtitleView() {
  return <>{group?.getMembersCount() + " • " + group?.getDescription()}</>;
}

<CometChatMessageHeader group={groupObj} subtitleView={CustomSubtitleView()} />;

LeadingView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import {
  CometChatMessageHeader,
  CometChatAvatar,
} from "@cometchat/chat-uikit-react";

// Custom title view component
function CustomLeadingView() {
  return (
    <div className="message-header__leading-view">
      <CometChatAvatar image={userObj?.getAvatar()} name={userObj?.getName()} />
      <span className="message-header__leading-view-role">
        ⭐ {userObj?.getRole()}
      </span>
    </div>
  );
}

<CometChatMessageHeader user={userObj} leadingView={CustomLeadingView()} />;

TrailingView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import {
  CometChatMessageHeader,
  CometChatButton,
} from "@cometchat/chat-uikit-react";

// Custom trailing view component
function CustomTrailingButtonView() {
  return (
    <>
      <CometChatButton
        onClick={() => {
          // Your logic here
        }}
        iconURL={icon} // Ensure `icon` is defined or passed as a prop
      />
    </>
  );
}

<CometChatMessageHeader
  user={userObj}
  trailingView={CustomTrailingButtonView()}
/>;

AuxiliaryButtonView

The customized chat interface is displayed below.
Use the following code to achieve the customization shown above.
import React from "react";
import { CometChat } from "@cometchat/chat-sdk-javascript";
import {
  CometChatMessageHeader,
  CometChatButton,
} from "@cometchat/chat-uikit-react";

// Custom auxiliary view component
function CustomAuxiliaryButtonView() {
  return (
    <>
      <CometChatButton
        onClick={() => {
          // Your logic here
        }}
        iconURL={icon} // Ensure `icon` is defined or passed as a prop
      />
    </>
  );
}

<CometChatMessageHeader
  group={groupObj}
  auxiliaryButtonView={CustomAuxiliaryButtonView()}
/>;

LastActiveAt Date Time Format

The lastActiveAtDateTimeFormat property allows you to customize the last active timestamp displayed in the message header. Default Date Time Format:
new CalendarObject({
  today: `[Last seen DD MMM at] hh:mm A`, // Example: "today at 10:30 AM"
  yesterday: `[Last seen DD MMM at] hh:mm A`, // Example: "yesterday at 08:15 PM"
  otherDays: `[Last seen DD MMM at] hh:mm A`, // Example: "25, Jan 05:45 PM"
  relativeTime: {
    hour: `Last seen  %d hour ago`, // Example: "1 hour ago"
    minute: `Last seen  %d minute ago`, // Example: "1 minute ago"
    minutes: `Last seen  %d minutes ago`, // Example: "5 minutes ago"
  },
});
The following example demonstrates how to modify the last active timestamp format using a custom CalendarObject.
import {
  CometChatMessageHeader,
  CalendarObject,
} from "@cometchat/chat-uikit-react";

// Define a custom date format pattern
function getDateFormat() {
  const dateFormat = new CalendarObject({
    today: `hh:mm A`, // Example: "10:30 AM"
    yesterday: `[yesterday]`, // Example: "yesterday"
    otherDays: `DD MM YYYY`, // Example: "25 01 2025"
  });
  return dateFormat;
}

// Apply the custom format to the CometChatMessageHeader component
<CometChatMessageHeader
  group={groupObj}
  lastActiveAtDateTimeFormat={getDateFormat()}
/>;
Fallback Mechanism
  • If you do not pass any property in the CalendarObject, the component will first check the global configuration. If the property is also missing in the global configuration, it will fallback to the component’s default formatting.